# xapian/weight.h File Reference

Weighting scheme API. More...

## Classes
class | Xapian::Weight
| Abstract base class for weighting schemes. More...
class | Xapian::BoolWeight
| Class implementing a "boolean" weighting scheme. More...
class | Xapian::BM25Weight
| Xapian::Weight subclass implementing the BM25 probabilistic formula. More...
class | Xapian::TradWeight
| Xapian::Weight subclass implementing the traditional probabilistic formula. More...
## Namespaces
namespace | Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Detailed Description

Weighting scheme API.